<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Travel Life Pro
	 * @since Travel Life Pro 1.0.0
	 */

	/**
	 * travel_life_pro_doctype hook
	 *
	 * @hooked travel_life_pro_doctype -  10
	 *
	 */
	do_action( 'travel_life_pro_doctype' );

?>
<head>
<?php
	/**
	 * travel_life_pro_before_wp_head hook
	 *
	 * @hooked travel_life_pro_head -  10
	 *
	 */
	do_action( 'travel_life_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * travel_life_pro_page_start_action hook
	 *
	 * @hooked travel_life_pro_page_start -  10
	 *
	 */
	do_action( 'travel_life_pro_page_start_action' ); 

	/**
	 * travel_life_pro_loader_action hook
	 *
	 * @hooked travel_life_pro_loader -  10
	 *
	 */
	do_action( 'travel_life_pro_before_header' );

	/**
	 * travel_life_pro_header_action hook
	 *
	 * @hooked travel_life_pro_header_start -  10
	 * @hooked travel_life_pro_site_branding -  20
	 * @hooked travel_life_pro_site_navigation -  30
	 * @hooked travel_life_pro_header_end -  50
	 *
	 */
	do_action( 'travel_life_pro_header_action' );

	/**
	 * travel_life_pro_content_start_action hook
	 *
	 * @hooked travel_life_pro_content_start -  10
	 *
	 */
	do_action( 'travel_life_pro_content_start_action' );

	/**
	 * travel_life_pro_header_image_action hook
	 *
	 * @hooked travel_life_pro_header_image -  10
	 *
	 */
	do_action( 'travel_life_pro_header_image_action' );

	if ( travel_life_pro_is_frontpage() ) {
    	$options = travel_life_pro_get_theme_options();    	
		

    	if ( $options['home_layout'] == 'default-design' ) {
    		$sorted = array( 'slider', 'trip_search','package', 'counter','about','latest_post', 'subscription', 'testimonial' );
		}
    	if ( $options['home_layout'] == 'second-design' ) {
    		$sorted = array( 'slider', 'popular_destination','about', 'counter','package','gallery','testimonial','latest_post', 'subscription' );
		}
    	
    	if ( $options['home_layout'] == 'third-design' ) {
    		$sorted = array( 'slider', 'popular_destination','about', 'counter','package','gallery','testimonial','latest_post', 'subscription' );
		}
    	
    	if ( $options['home_layout'] == 'fourth-design' ) {
    		$sorted = array( 'slider', 'latest_product','popular_product', 'product_collection','recent_product','featured_product','trending_product','counter','testimonial','latest_post', 'subscription' );
		}
    	
    	if ( $options['home_layout'] == 'fifth-design' ) {
    		$sorted = array( 'slider', 'popular_destination','about', 'counter','package','gallery','testimonial','latest_post', 'subscription' );
		}
		
    	if ( $options['home_layout'] == 'sixth-design' ) {
    		$sorted = array( 'highlighted_news', 'three_column_news', 'featured_news','recent_news', 'most_view', 'popular_news', 'sport_news', 'two_column_news','latest_news');
    	}
		
    	if ( $options['home_layout'] == 'seventh-design' ) {
    		$sorted = array( 'slider', 'featured_post', 'popular', 'recent', 'latest_post');
    	}
		
    	if ( ! empty( $options['sortable'] ) ) {
			$sorted = explode( ',' , $options['sortable'] );
		}
		
		foreach ( $sorted as $section ) {
			add_action( 'travel_life_pro_primary_content', 'travel_life_pro_add_'. $section .'_section' );
		}

		do_action( 'travel_life_pro_primary_content' );
	}