<?php
/**
* advertisement Section options
*
* @package Theme Palace
* @subpackage Travel Life Pro
* @since Travel Life Pro 1.0.0
*/

// Add advertisement section
$wp_customize->add_section( 'travel_life_pro_advertisement_section', array(
	'title'             => esc_html__( 'Advertisement','travel-life-pro' ),
	'panel'             => 'travel_life_pro_front_page_panel',
	'active_callback'	=> 'travel_life_pro_is_sixth_design_enable',
	) );

$wp_customize->add_setting( 'travel_life_pro_theme_options[advertisement_image]', array(
	'sanitize_callback' => 'travel_life_pro_sanitize_image'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'travel_life_pro_theme_options[advertisement_image]',
	array(
		'label'       		=> esc_html__( 'Image', 'travel-life-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'travel-life-pro' ), 1920, 520 ),
		'section'     		=> 'travel_life_pro_advertisement_section',
		) ) );
// advertisement btn link setting and control
$wp_customize->add_setting( 'travel_life_pro_theme_options[advertisement_link]', array(
	'sanitize_callback' => 'esc_url_raw',
	) );

$wp_customize->add_control( 'travel_life_pro_theme_options[advertisement_link]', array(
	'label'           	=> esc_html__( 'Ads Link', 'travel-life-pro' ),
	'section'        	=> 'travel_life_pro_advertisement_section',
	'type'				=> 'url',
	) );
