<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Travel Life Pro
 * @since Travel Life Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'travel_life_pro_menu', array(
	'title'             => esc_html__('Header Menu','travel-life-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'travel-life-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'travel_life_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'travel_life_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Travel_Life_Pro_Switch_Control( $wp_customize, 'travel_life_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'travel-life-pro' ),
	'section'           => 'travel_life_pro_menu',
	'on_off_label' 		=> travel_life_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'travel_life_pro_theme_options[social_nav_enable]', array(
	'sanitize_callback' => 'travel_life_pro_sanitize_switch_control',
	'default'           => $options['social_nav_enable'],
) );

$wp_customize->add_control( new Travel_Life_Pro_Switch_Control( $wp_customize, 'travel_life_pro_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Enable Social Links', 'travel-life-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'travel-life-pro' ), esc_html__( 'Click Here', 'travel-life-pro' ), esc_html__( 'to create menu', 'travel-life-pro' ) ),
	'section'           => 'travel_life_pro_menu',
	'on_off_label' 		=> travel_life_pro_switch_options(),
) ) );
