<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Travel Life Pro
 * @since Travel Life Pro 1.0.0
 */

if ( $options['home_layout'] == 'default-design' ) {
	return; 
}

// Add sidebar section
$wp_customize->add_section( 'travel_life_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','travel-life-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'travel-life-pro' ),
	'panel'               => 'travel_life_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'travel_life_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'travel_life_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Travel_Life_Pro_Customize_Sortable_Control ( $wp_customize, 'travel_life_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'travel-life-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'travel-life-pro' ),
	'section'             => 'travel_life_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => travel_life_pro_sortable_sections(),
) ) );