<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Travel Life Pro
 * @since Travel Life Pro 1.0.0
 */

// Typography Section
$wp_customize->add_section( 'travel_life_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'travel-life-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'travel_life_pro_theme_options_panel',
	)
);


// Theme typography setting and control.
$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_h1_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_h1_typography]',
    array(
		'label'       		=> esc_html__( 'Choose H1 Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_h1_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_h2_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_h2_typography]',
    array(
		'label'       		=> esc_html__( 'Choose H2 Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_h2_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_h3_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_h3_typography]',
    array(
		'label'       		=> esc_html__( 'Choose H3 Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_h3_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_h4_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_h4_typography]',
    array(
		'label'       		=> esc_html__( 'Choose H4 Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_h4_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_h5_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_h5_typography]',
    array(
		'label'       		=> esc_html__( 'Choose H5 Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_h5_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_h6_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_h6_typography]',
    array(
		'label'       		=> esc_html__( 'Choose H6 Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_h6_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);


$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_p_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_p_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Paragraph Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_p_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);

$wp_customize->add_setting( 'travel_life_pro_theme_options[theme_body_typography]',
	array(
		'sanitize_callback'	=> 'travel_life_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'travel_life_pro_theme_options[theme_body_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Body Typography', 'travel-life-pro' ),
		'section'     		=> 'travel_life_pro_section_typography',
		'settings'    		=> 'travel_life_pro_theme_options[theme_body_typography]',
		'type'		  		=> 'select',
		'choices'			=> travel_life_pro_typography_options(),
    )
);